## jamulus 3.6.2+dfsg1

=== libs/opus/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

include(opus_functions.cmake)

get_library_version(OPUS_LIBRARY_VERSION OPUS_LIBRARY_VERSION_MAJOR)
message(STATUS "Opus library version: ${OPUS_LIBRARY_VERSION}")

get_package_version(PACKAGE_VERSION)
message(STATUS "Opus package version: ${PACKAGE_VERSION}")

string(REGEX
       REPLACE "^([0-9]+.[0-9]+\\.?([0-9]+)?).*"
               "\\1"
               PROJECT_VERSION
               ${PACKAGE_VERSION})
message(STATUS "Opus project version: ${PROJECT_VERSION}")

project(Opus LANGUAGES C VERSION ${PROJECT_VERSION})
include(opus_buildtype.cmake)

option(OPUS_STACK_PROTECTOR "Use stack protection" ON)
option(OPUS_USE_ALLOCA "Use alloca for stack arrays (on non-C99 compilers)" OFF)
option(OPUS_CUSTOM_MODES "Enable non-Opus modes, e.g. 44.1 kHz & 2^n frames"
       OFF)
option(OPUS_BUILD_PROGRAMS "Build programs" OFF)
option(OPUS_FIXED_POINT
       "Compile as fixed-point (for machines without a fast enough FPU)" OFF)
option(OPUS_ENABLE_FLOAT_API
       "Compile with the floating point API (for machines with float library"
       ON)
option(OPUS_INSTALL_PKG_CONFIG_MODULE "Install PkgConfig module" ON)
option(OPUS_INSTALL_CMAKE_CONFIG_MODULE "Install CMake package config module"
       ON)

include(opus_config.cmake)
include(opus_sources.cmake)
include(GNUInstallDirs)
include(CMakeDependentOption)
include(FeatureSummary)

if(OPUS_STACK_PROTECTOR)
  if(NOT MSVC) # GC on by default on MSVC
    check_and_set_flag(STACK_PROTECTION_STRONG -fstack-protector-strong)
  endif()
else()
  if(MSVC)
    check_and_set_flag(BUFFER_SECURITY_CHECK /GS-)
  endif()
endif()

if(OPUS_CPU_X86 OR OPUS_CPU_X64)
  cmake_dependent_option(OPUS_X86_MAY_HAVE_SSE
                         "Does runtime check for SSE1 support"
                         ON
                         "SSE1_SUPPORTED"
                         OFF)
  cmake_dependent_option(OPUS_X86_MAY_HAVE_SSE2
                         "Does runtime check for SSE2 support"
                         ON
                         "SSE2_SUPPORTED"
                         OFF)
  cmake_dependent_option(OPUS_X86_MAY_HAVE_SSE4_1
                         "Does runtime check for SSE4.1 support"
                         ON
                         "SSE4_1_SUPPORTED"
                         OFF)
  cmake_dependent_option(OPUS_X86_MAY_HAVE_AVX
                         "Does runtime check for AVX support"
                         ON
                         "AVX_SUPPORTED"
                         OFF)

  if(OPUS_CPU_X64) # Assume 64 bit has SSE2 support
    cmake_dependent_option(OPUS_X86_PRESUME_SSE
                           "Assume target CPU has SSE1 support"
                           ON
                           "OPUS_X86_MAY_HAVE_SSE"
                           OFF)
    cmake_dependent_option(OPUS_X86_PRESUME_SSE2
                           "Assume target CPU has SSE2 support"
                           ON
                           "OPUS_X86_MAY_HAVE_SSE2"
                           OFF)
  else()
    cmake_dependent_option(OPUS_X86_PRESUME_SSE
                           "Assume target CPU has SSE1 support"
                           OFF
                           "OPUS_X86_MAY_HAVE_SSE"
                           OFF)
    cmake_dependent_option(OPUS_X86_PRESUME_SSE2
                           "Assume target CPU has SSE2 support"
                           OFF
                           "OPUS_X86_MAY_HAVE_SSE2"
                           OFF)
  endif()
  cmake_dependent_option(OPUS_X86_PRESUME_SSE4_1
                         "Assume target CPU has SSE4.1 support"
                         OFF
                         "OPUS_X86_MAY_HAVE_SSE4_1"
                         OFF)
  cmake_dependent_option(OPUS_X86_PRESUME_AVX
                         "Assume target CPU has AVX support"
                         OFF
                         "OPUS_X86_MAY_HAVE_AVX"
                         OFF)
endif()

set_package_properties(Git
                       PROPERTIES
                       TYPE
                       REQUIRED
                       DESCRIPTION
                       "fast, scalable, distributed revision control system"
                       URL
                       "https://git-scm.com/"
                       PURPOSE
                       "required to set up package version")

add_feature_info(STACK_PROTECTOR OPUS_STACK_PROTECTOR "Use stack protection")
add_feature_info(USE_ALLOCA OPUS_USE_ALLOCA
                 "Use alloca for stack arrays (on non-C99 compilers)")
add_feature_info(CUSTOM_MODES OPUS_CUSTOM_MODES
                 "Enable non-Opus modes, e.g. 44.1 kHz & 2^n frames")
add_feature_info(BUILD_PROGRAMS OPUS_BUILD_PROGRAMS "Build programs")
add_feature_info(
  FIXED_POINT OPUS_FIXED_POINT
  "compile as fixed-point (for machines without a fast enough FPU)")
add_feature_info(
  FLOAT_API OPUS_ENABLE_FLOAT_API
  "compile with the floating point API (for machines with float library)")

add_feature_info(INSTALL_PKG_CONFIG_MODULE OPUS_INSTALL_PKG_CONFIG_MODULE
                 "install PkgConfig module")
add_feature_info(INSTALL_CMAKE_CONFIG_MODULE OPUS_INSTALL_CMAKE_CONFIG_MODULE
                 "install CMake package config module")

if(OPUS_CPU_X86 OR OPUS_CPU_X64)
  add_feature_info(X86_MAY_HAVE_SSE OPUS_X86_MAY_HAVE_SSE
                   "does runtime check for SSE1 support")
  add_feature_info(X86_MAY_HAVE_SSE2 OPUS_X86_MAY_HAVE_SSE2
                   "does runtime check for SSE2 support")
  add_feature_info(X86_MAY_HAVE_SSE4_1 OPUS_X86_MAY_HAVE_SSE4_1
                   "does runtime check for SSE4_1 support")
  add_feature_info(X86_MAY_HAVE_AVX OPUS_X86_MAY_HAVE_AVX
                   "does runtime check for AVX support")
  add_feature_info(X86_PRESUME_SSE OPUS_X86_PRESUME_SSE
                   "assume target CPU has SSE1 support")
  add_feature_info(X86_PRESUME_SSE2 OPUS_X86_PRESUME_SSE2
                   "assume target CPU has SSE2 support")
  add_feature_info(X86_PRESUME_SSE4_1 OPUS_X86_PRESUME_SSE4_1
                   "assume target CPU has SSE4_1 support")
  add_feature_info(X86_PRESUME_AVX OPUS_X86_PRESUME_AVX
                   "assume target CPU has AVX support")
endif()

feature_summary(WHAT ALL)

add_library(opus ${opus_sources} ${opus_sources_float})

set(Opus_PUBLIC_HEADER
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus_custom.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus_defines.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus_multistream.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus_projection.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/opus_types.h)

set_target_properties(opus
                      PROPERTIES SOVERSION
                                 ${OPUS_LIBRARY_VERSION_MAJOR}
                                 VERSION
                                 ${OPUS_LIBRARY_VERSION}
                                 PUBLIC_HEADER
                                 "${Opus_PUBLIC_HEADER}")

target_include_directories(
  opus
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
          ${CMAKE_CURRENT_SOURCE_DIR}
          celt
          silk)

target_link_libraries(opus PRIVATE ${OPUS_REQUIRED_LIBRARIES})
target_compile_definitions(opus PRIVATE OPUS_BUILD ENABLE_HARDENING)

if(NOT MSVC)
  target_compile_definitions(opus PRIVATE FORTIFY_SOURCE=2)
endif()

# It is strongly recommended to uncomment one of these VAR_ARRAYS: Use C99
# variable-length arrays for stack allocation USE_ALLOCA: Use alloca() for stack
# allocation If none is defined, then the fallback is a non-threadsafe global
# array
if(OPUS_USE_ALLOCA OR MSVC)
  target_compile_definitions(opus PRIVATE USE_ALLOCA)
else()
  target_compile_definitions(opus PRIVATE VAR_ARRAYS)
endif()

if(OPUS_CUSTOM_MODES)
  target_compile_definitions(opus PRIVATE CUSTOM_MODES)
endif()

if(BUILD_SHARED_LIBS)
  if(WIN32)
    target_compile_definitions(opus PRIVATE DLL_EXPORT)
  else()
    include(CheckCCompilerFlag)
    check_c_compiler_flag(-fvisibility=hidden COMPILER_HAS_HIDDEN_VISIBILITY)
    if(COMPILER_HAS_HIDDEN_VISIBILITY)
      set_target_properties(opus PROPERTIES C_VISIBILITY_PRESET hidden)
    endif()
  endif()
endif()

add_sources_group(opus silk ${silk_sources})
add_sources_group(opus celt ${celt_sources})

if(OPUS_FIXED_POINT)
  add_sources_group(opus silk ${silk_sources_fixed})
  target_include_directories(opus PRIVATE silk/fixed)
  target_compile_definitions(opus PRIVATE FIXED_POINT=1)
else()
  add_sources_group(opus silk ${silk_sources_float})
  target_include_directories(opus PRIVATE silk/float)
endif()

if(NOT OPUS_ENABLE_FLOAT_API)
  target_compile_definitions(opus PRIVATE DISABLE_FLOAT_API)
endif()

if(OPUS_X86_MAY_HAVE_SSE
   OR OPUS_X86_MAY_HAVE_SSE2
   OR OPUS_X86_MAY_HAVE_SSE4_1
   OR OPUS_X86_MAY_HAVE_AVX)
  target_compile_definitions(opus PRIVATE OPUS_HAVE_RTCD)
endif()

if(OPUS_X86_MAY_HAVE_SSE)
  add_sources_group(opus celt ${celt_sources_sse})
  target_compile_definitions(opus PRIVATE OPUS_X86_MAY_HAVE_SSE)
endif()
if(OPUS_X86_PRESUME_SSE)
  target_compile_definitions(opus PRIVATE OPUS_X86_PRESUME_SSE)
endif()

if(OPUS_X86_MAY_HAVE_SSE2)
  add_sources_group(opus celt ${celt_sources_sse2})
  target_compile_definitions(opus PRIVATE OPUS_X86_MAY_HAVE_SSE2)
endif()
if(OPUS_X86_PRESUME_SSE2)
  target_compile_definitions(opus PRIVATE OPUS_X86_PRESUME_SSE2)
endif()

if(OPUS_X86_MAY_HAVE_SSE)
  add_sources_group(opus celt ${celt_sources_sse4_1})
  add_sources_group(opus silk ${silk_sources_sse4_1})
  if(OPUS_FIXED_POINT)
    add_sources_group(opus silk ${silk_sources_fixed_sse4_1})
  endif()
  target_compile_definitions(opus PRIVATE OPUS_X86_MAY_HAVE_SSE4_1)
endif()
if(OPUS_X86_PRESUME_SSE4_1)
  target_compile_definitions(opus PRIVATE OPUS_X86_PRESUME_SSE4_1)
endif()

if(CMAKE_SYSTEM_PROCESSOR MATCHES "(armv7-a)")
  add_sources_group(opus celt ${celt_sources_arm})
endif()

if(COMPILER_SUPPORT_NEON AND OPUS_USE_NEON)

  if(OPUS_MAY_HAVE_NEON)
    if(RUNTIME_CPU_CAPABILITY_DETECTION)
      message(STATUS "OPUS_MAY_HAVE_NEON enabling runtime detection")
      target_compile_definitions(opus PRIVATE OPUS_HAVE_RTCD)
    else()
      message(ERROR "Runtime cpu capability detection needed for MAY_HAVE_NEON")
    endif()
    # Do runtime check for NEON
    target_compile_definitions(opus
                               PRIVATE
                               OPUS_ARM_MAY_HAVE_NEON
                               OPUS_ARM_MAY_HAVE_NEON_INTR)
  endif()

  add_sources_group(opus celt ${celt_sources_arm_neon_intr})
  add_sources_group(opus silk ${silk_sources_arm_neon_intr})

  # silk arm neon depends on main_Fix.h
  target_include_directories(opus PRIVATE silk/fixed)

  if(OPUS_FIXED_POINT)
    add_sources_group(opus silk ${silk_sources_fixed_arm_neon_intr})
  endif()

  if(OPUS_PRESUME_NEON)
    target_compile_definitions(opus
                               PRIVATE
                               OPUS_ARM_PRESUME_NEON
                               OPUS_ARM_PRESUME_NEON_INTR)
  endif()
endif()

install(TARGETS opus
        EXPORT OpusTargets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/opus)

if(OPUS_INSTALL_PKG_CONFIG_MODULE)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix ${CMAKE_INSTALL_PREFIX})
  set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
  set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
  set(VERSION ${OPUS_LIBRARY_VERSION})
  set(VERSION ${OPUS_LIBRARY_VERSION})
  if(HAVE_LIBM)
    set(LIBM "-lm")
  endif()
  configure_file(opus.pc.in opus.pc)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/opus.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(OPUS_INSTALL_CMAKE_CONFIG_MODULE)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  install(EXPORT OpusTargets

=== debian/changelog ===
jamulus (3.6.2+dfsg1-3) unstable; urgency=low

  * Update GitHub URLs
    - the repository moved to a{n, new} organisation
    - GitHub’s tags and releases pages changed tarball links
  * Mark diff as applied upstream
  * Run jdupes on the installed documentation as lintian demands
  * Ship a manpage (Debian-specific for now)
  * Merge updated list of central (genre) servers offered by upstream
  * Also apply upstream fix for memory leaks
  * Add patch to correctly escape messages received from clients
  * Backport code around --serverpublicip to support running servers
    behind IPv4 NAT; also a prerequisite of the following patch
  * Privacy fix: cease sending a packet to Cloudflare to determine
    the (nōn-NAT) external interface / IP address

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 Apr 2021 16:04:40 +0200

jamulus (3.6.2+dfsg1-2) unstable; urgency=low

  * Upload to unstable

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 26 Jan 2021 00:03:00 +0100

jamulus (3.6.2+dfsg1-1) experimental; urgency=low

  * Initial packaging (Closes: #958146)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 29 Dec 2020 23:11:37 +0100

=== debian/control ===
Source: jamulus
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://jamulus.io/
Build-Depends: debhelper-compat (= 13),
  jdupes,
  libjack-jackd2-dev,
  qtbase5-dev,
  qtdeclarative5-dev,
  qttools5-dev-tools
Standards-Version: 4.5.1
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master

Package: jamulus
# will be "any" once #686777 is fixed
# armel might work but better safe than crash
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jackd, pulseaudio-module-jack, qjackctl
Description: real-time collaborative music session client and server
 Jamulus, a low-latency audio client and server, enables musicians to
 perform real-time “jam” sessions over the internet. It is available
 across multiple platforms, so participants of any field can communicate
 without specialist setup requirements. This is not restricted to music,
 of course; other use (perhaps conferencing?) is also possible.
 .
 One participant starts Jamulus in server mode, ideally on a dedicated
 server (virtual) machine; all participants start the (graphical) client
 which transmits audio to the server, receiving back a mixed stream. Use
 of a metronome is recommended.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_CXXFLAGS:=
OUR_LDFLAGS:=

OUR_CPPFLAGS+=	-Wno-unused-result

# unclutter build log; these are upstream’s to fix
OUR_CPPFLAGS+=	-Wno-deprecated-declarations
OUR_CXXFLAGS+=	-Wno-deprecated-copy

CONFIG_ARGS+=	CONFIG+=disable_version_check
# blocked by #686777
#CONFIG_ARGS+=	CONFIG+=opus_shared_lib

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
include /usr/share/dpkg/buildtools.mk
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

execute_after_dh_link:
	jdupes -rl debian/jamulus/usr/share/doc/jamulus/homepage

=== debian/watch ===
version=4
 opts=\
  repacksuffix=+dfsg1,\
  compression=gz,\
  uversionmangle=s/_/./g,\
  dversionmangle=s/\+dfsg[0-9]+$// \
 https://github.com/jamulussoftware/jamulus/releases \
 .*/jamulussoftware/jamulus/archive/refs/tags/r([0-9]+(?:_[0-9]+)*)\.tar\.gz \
debian debian/repack

## jamulus 3.8.1+dfsg1

=== debian/changelog ===
jamulus (3.8.1+dfsg1-1) unstable; urgency=low

  * Update list of directories to exclude
  * New upstream release
  * Update manpage and other related files and patches
  * No longer jdupes, the homepage contents are no longer shipped
  * Policy 4.6.0.1 (no relevant changes)
  * Fix disabling the update checker
  * Redo lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 Dec 2021 21:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: https://jamulus.io/
 Build-Depends: debhelper-compat (= 13),
-  jdupes,
   libjack-jackd2-dev,
   qtbase5-dev,
   qtdeclarative5-dev,
   qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,14 @@
 OUR_CXXFLAGS:=
 OUR_LDFLAGS:=
 
-OUR_CPPFLAGS+=	-Wno-unused-result
+OUR_CFLAGS+=	-Wno-unused-parameter
+OUR_CXXFLAGS+=	-Wno-unused-parameter
+OUR_CFLAGS+=	-Wno-unused-result
+OUR_CXXFLAGS+=	-Wno-unused-result
 
 # unclutter build log; these are upstream’s to fix
-OUR_CPPFLAGS+=	-Wno-deprecated-declarations
+OUR_CFLAGS+=	-Wno-deprecated-declarations
+OUR_CXXFLAGS+=	-Wno-deprecated-declarations
 OUR_CXXFLAGS+=	-Wno-deprecated-copy
 
 CONFIG_ARGS+=	CONFIG+=disable_version_check
@@ -37,9 +41,12 @@
 export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
 export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
 include /usr/share/dpkg/buildflags.mk
-ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
 include /usr/share/dpkg/buildtools.mk
-endif
+
+# work around a bug in /usr/share/perl5/Debian/Debhelper/Buildsystem/qmake.pm
+# which correctly merges CPPFLAGS to CFLAGS/CXXFLAGS for the compiler but
+# misses adding C{,XX}FLAGS to LDFLAGS for the linker (CCLD/CXXLD)…
+LDFLAGS:=${LDFLAGS} ${CXXFLAGS} # as this links with ${CXX}
 
 %:
 	dh $@
@@ -47,5 +54,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- ${CONFIG_ARGS}
 
-execute_after_dh_link:
-	jdupes -rl debian/jamulus/usr/share/doc/jamulus/homepage
+execute_after_dh_auto_install:
+	# remove “too much” installed files…
+	rm -f debian/jamulus/usr/share/applications/jamulus-server.desktop
+	# fixup icon mess
+	mkdir -p debian/jamulus/usr/share/icons/hicolor/scalable/apps
+	mv debian/jamulus/usr/share/icons/hicolor/512x512/apps/jamulus.svg \
+	    debian/jamulus/usr/share/icons/hicolor/scalable/apps/
+	rm -rf debian/jamulus/usr/share/icons/hicolor/512x512

## jamulus 3.8.2+dfsg

=== debian/changelog ===
jamulus (3.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Revert bad upstream change to where --help output is printed
  * Use manpage contributed upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 25 Feb 2022 19:52:53 +0100

## jamulus 3.9.1+dfsg

=== debian/changelog ===
jamulus (3.9.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:45 +1100

jamulus (3.9.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:56 +0000

jamulus (3.9.1+dfsg-1) unstable; urgency=medium

  [ Bo YU ]
  * QA upload.
  * Set Debian QA as maintainer. See #1023670.
  * New upstream version 3.9.1.
  * Update d/copyright:
    - adjust Files-Excluded due to repack.
    - update file-pattern due to upstream change.
  * Rebase all patches.
  * Adjust d/source/lintian-overrides
  * Update execute_after_dh_auto_install

  [ Boyuan Yang ]
  * debian/control: Move Vcs-* maint to Debian Salsa.
  * debian/: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Nov 2022 14:42:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: jamulus
 Section: sound
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Homepage: https://jamulus.io/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
   libjack-jackd2-dev,
   qtbase5-dev,
   qtdeclarative5-dev,
-  qttools5-dev-tools
-Standards-Version: 4.6.0
+  qttools5-dev-tools,
+  qtmultimedia5-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
-VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master
+Homepage: https://jamulus.io/
+Vcs-Git: https://salsa.debian.org/debian/jamulus.git
+Vcs-Browser: https://salsa.debian.org/debian/jamulus
 
 Package: jamulus
 # will be "any" once #686777 is fixed

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,4 @@
 	rm -f debian/jamulus/usr/share/applications/jamulus-server.desktop
 	# fixup icon mess
 	mkdir -p debian/jamulus/usr/share/icons/hicolor/scalable/apps
-	mv debian/jamulus/usr/share/icons/hicolor/512x512/apps/jamulus.svg \
-	    debian/jamulus/usr/share/icons/hicolor/scalable/apps/
 	rm -rf debian/jamulus/usr/share/icons/hicolor/512x512
